<div class="container">
    <form #vendorform="ngForm" (ngSubmit)="vendorform.valid && onCrt(vendorform)">
      <h1>Create</h1>
      <div class="container forms">
      <div class="row">
    <div class="form-group col-md-6">
      <input type="text" placeholder="Enter Vendor Name" [(ngModel)]="vendors.name" #name="ngModel" class="form-control" name="username" required>
      <div class="validation-error" *ngIf="name.invalid && name.touched">*This field is mandatory</div>
    </div>
    <div class="form-group col-md-6">
        <input type="text" placeholder="Enter Vendor mail" [(ngModel)]="vendors.email" class="form-control" name="usermail">
    </div>
    </div>
    <div class="row">
    <div class="form-group col-md-6">
          <input type="text" placeholder="Enter Vendor Address" [(ngModel)]="vendors.address" class="form-control" name="useraddress">
    </div>
    <div >

    </div>
    </div>
    <div class="row">
    <div class="form-group col-md-6">
          <input type="text" placeholder="Enter Vendor password" [(ngModel)]="vendors.password" class="form-control" name="userpassword">
    </div>
    <div class="form-group col-md-6">
        <input type="text" placeholder="Retype Vendor password" [(ngModel)]="vendors.repassword" class="form-control" name="userrepassword">
    </div>
    </div>
    <!--<div class="row dropdown">
     <button type="button" class="btn btn-primary btn-block dropdown-toggle" data-toggle="dropdown">Please Select Vendor Type
     <span class="caret"></span></button>
     <ul class="dropdown-menu">
       <li><a>user 1</a></li>
     </ul>
    </div>-->
    <div class="row ">
      <div class="col-md-6 ">
        <button [disabled]="!vendorform.valid" type="submit" class="btn btn-success " (click)="onSubmit()"><i class="fa fa-floppy-o"></i>Submit</button>
      </div>
      <div class="col-md-6 ">
          <button  type="submit" class="btn btn-info buttons" (click)="onBack()">Back</button>
      </div>
    </div>
    <br/>
    </div>
    </form>
    </div>
